<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="50dp">

    <com.adealink.weparty.commonui.imageview.AvatarView
        android:id="@+id/iv_avatar"
        android:layout_width="40dp"
        android:layout_height="40dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_user_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:ellipsize="end"
        android:fontFamily="@font/poppins_semibold"
        android:includeFontPadding="false"
        android:singleLine="true"
        android:textColor="@color/color_FF1D2129"
        android:textSize="14sp"
        app:layout_constrainedWidth="true"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@id/v_gender"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintHorizontal_chainStyle="packed"
        app:layout_constraintStart_toEndOf="@id/iv_avatar"
        app:layout_constraintTop_toTopOf="parent"
        tools:text="Super Beautiful GirlSuper Beautiful GirlSuper Beautiful GirlSuper Beautiful Girl" />

    <com.adealink.weparty.module.profile.widget.GenderView
        android:id="@+id/v_gender"
        style="@style/CommonGenderView"
        android:layout_marginStart="4dp"
        app:layout_constraintBottom_toBottomOf="@id/tv_user_name"
        app:layout_constraintEnd_toStartOf="@id/right_barrier"
        app:layout_constraintStart_toEndOf="@id/tv_user_name"
        app:layout_constraintTop_toTopOf="@id/tv_user_name" />

    <androidx.constraintlayout.widget.Barrier
        android:id="@+id/right_barrier"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:barrierDirection="start"
        app:constraint_referenced_ids="btn_follow,btn_each_follow" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/btn_follow"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:includeFontPadding="false"
        android:minWidth="36dp"
        android:paddingHorizontal="8dp"
        android:paddingVertical="4dp"
        android:singleLine="true"
        android:textColor="@color/white"
        android:textSize="14sp"
        app:layout_constrainedWidth="true"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@id/btn_each_follow"
        app:layout_constraintTop_toTopOf="parent"
        tools:background="@drawable/profile_follow_button_bg"
        tools:text="follow"
        tools:textColor="@color/white" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/btn_each_follow"
        android:layout_width="48dp"
        android:layout_height="22dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:srcCompat="@drawable/profile_each_follow_button_ic" />

</androidx.constraintlayout.widget.ConstraintLayout>